MQSNAListener (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.mq.MQSNAListener interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.mq
Interface MQSNAListener

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, MQBase, MQListener, java.io.Serializable

    public interface MQSNAListener

extends MQListener

Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`SNAProtocolEndpoint` | `getSnaProtocolEndpoint()`
`java.lang.String` | `getTPName()` TPNAME(string) The LU 6.2 transaction program name (maximum length 64 characters).
`boolean` | `hasSnaProtocolEndpoint()`
`boolean` | `hasTPName()`
`void` | `setSnaProtocolEndpoint(SNAProtocolEndpoint x)`
`void` | `setTPName(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.app.messaging.mq.MQListener
`getBacklog, getControl, getName, getQueueManager, getStartTime, hasBacklog, hasControl, hasName, hasQueueManager, hasStartTime, setBacklog, setControl, setName, setQueueManager, setStartTime`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.app.messaging.mq.MQBase
`getDefault, getIsValid, getSystem, hasDefault, hasIsValid, hasSystem, setDefault, setIsValid, setSystem`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getSnaProtocolEndpoint

    SNAProtocolEndpoint getSnaProtocolEndpoint()
                                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.BindsTo" reverse="false"

### setSnaProtocolEndpoint

    void setSnaProtocolEndpoint(SNAProtocolEndpoint x)

### hasSnaProtocolEndpoint

    boolean hasSnaProtocolEndpoint()

### getTPName

    java.lang.String getTPName()
                               throws AttributeNotSetException

  TPNAME(string) The LU 6.2 transaction program name (maximum length 64 characters). This parameter is valid only on Windows when TRPTYPE is LU62.

  Throws:
    `AttributeNotSetException`

### setTPName

    void setTPName(java.lang.String x)

### hasTPName

    boolean hasTPName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD